#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with mobile

%define rel 1

Name:           okular
Epoch:          2
Version: 25.07.80
Release:        %mkrel %{rel}
Summary:        A universal document viewer
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/okular/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

# Mageia Patch
Patch0:         okular-21.12.0-fix-desktop-file.patch

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6TextToSpeech)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6ThreadWeaver)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Purpose)
%if %{with mobile}
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KirigamiAddons)
%endif
BuildRequires:  cmake(KF6Pty)

BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(QMobipocket6)

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  chmlib-devel
BuildRequires:  ebook-tools-devel

%if %{with mobile}
Requires:       kirigami
Requires:       kirigami-addons
%endif
Recommends:     okular-handbook


%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files -f %name.lang
%_kf6_categoriesdir/okular.categories
%_kf6_bindir/okular
%_kf6_applicationsdir/org.kde.okular.desktop
%_kf6_applicationsdir/okularApplication_*.desktop
%_kf6_datadir/config.kcfg/pdfsettings.kcfg
%_kf6_datadir/okular/
%_kf6_datadir/config.kcfg/okular.kcfg
%_kf6_datadir/config.kcfg/gssettings.kcfg
%_kf6_datadir/config.kcfg/okular_core.kcfg
%_qt6_plugindir/okular_generators/
%_kf6_plugindir/parts/okularpart.so
%_kf6_iconsdir/*/*/*/okular.*
%_kf6_mandir/man1/okular.1.*
%_kf6_metainfodir/*.xml

#------------------------------------------------------------------------------

%package handbook
Summary:        Okular handbook
Group:          Documentation
BuildArch:      noarch
Requires:       okular >= %{epoch}:%{version}-%{release}

%description handbook
This package provides okular handbook.

%files handbook
%doc %_kf6_docdir/HTML/*/okular/
%_kf6_mandir/*/man1/okular.1.*

#------------------------------------------------------------------------------	

%define okularcore_major 4
%define libokularcore %mklibname okular6core %okularcore_major

%package -n %libokularcore
Summary:        Runtime library for okular
Group:          System/Libraries

%description -n %libokularcore
Runtime library for Okular.

%files -n %libokularcore
%_kf6_libdir/libOkular6Core.so.%{okularcore_major}{,.*}

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libokularcore = %epoch:%version-%release
Requires:       pkgconfig(poppler-qt6)
Requires:       pkgconfig(libspectre)
Requires:       pkgconfig(ddjvuapi)
Requires:       chmlib-devel
Requires:       ebook-tools-devel

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_includedir/%{name}/
%_kf6_libdir/cmake/Okular6/
%_kf6_libdir/*.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 %{?with_mobile:-DOKULAR_UI=both}
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 2:25.07.80-1.mga10
+ Revision: 2255122
- New version 25.07.80

* Sat Jun 07 2025 daviddavid <daviddavid> 2:25.04.2-1.mga10
+ Revision: 2189443
- New version 25.04.2

* Thu Apr 17 2025 daviddavid <daviddavid> 2:25.04.0-1.mga10
+ Revision: 2176117
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 2:25.03.90-1.mga10
+ Revision: 2170901
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 2:24.12.3-1.mga10
+ Revision: 2163611
- New version 24.12.3

* Wed Feb 12 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2148230
- New version 24.12.2

* Sat Jan 11 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2137358
- New version 24.12.1

* Tue Jan 07 2025 daviddavid <daviddavid> 2:24.12.0-2.mga10
+ Revision: 2136068
- backport upstream patch to don't install mobile desktop files
  on desktop build and vice versa (mga#33892)

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123919
- New version 24.12.0

* Mon Nov 18 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2117518
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114166
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105664
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097530
- New version 24.08.1

* Sat Aug 24 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2090688
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085218
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073338
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069987
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058732
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2045269
- New version 24.02.0

* Fri Feb 09 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2039631
- New version 24.01.95

* Fri Jan 26 2024 daviddavid <daviddavid> 2:24.01.90-2.mga10
+ Revision: 2034960
- backport upstream patch to fix loading okularpart

* Thu Jan 25 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2034633
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2027285
- New version 24.01.85

* Mon Sep 25 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1990731
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958284
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946596
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941889
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923011
- New version 22.12.0

* Mon Dec 12 2022 ns80 <ns80> 2:22.11.90-2.mga9
+ Revision: 1921090
- rebuild for new libtiff

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911505
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905356
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886874
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880860
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873173
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854063
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1851417
- New version 22.03.90

* Sun Jan 02 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766117
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724166
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718447
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698655
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694181
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655705
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644086
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633906
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627145
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615016
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604210
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596947
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584597
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1569292
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559414
- New version 19.12.3

* Sat Mar 14 2020 daviddavid <daviddavid> 2:19.12.2-3.mga8
+ Revision: 1556372
- add upstream patch to fix CVE-2020-9359 (mga#26342)

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540612
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513389
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467047
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457989
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447337
- New version 19.08.1

* Wed Jul 31 2019 daviddavid <daviddavid> 2:19.04.3-2.mga8
+ Revision: 1426292
- fix library pkg name

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425080
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390535
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387753
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383605
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375764
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365658
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356595
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339600
- New version 18.12.0

* Mon Nov 26 2018 daviddavid <daviddavid> 2:18.08.3-2.mga7
+ Revision: 1335226
- enable Discount support

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332830
- New version 18.08.3
- New version 18.08.2

* Wed Sep 12 2018 daviddavid <daviddavid> 2:18.04.1-2.mga7
+ Revision: 1258612
- add upstream patch to fix CVE-2018-1000801 (mga#23562)

* Sat Jun 30 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1240842
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201980
- New version 17.12.2

* Sun Jan 21 2018 neoclust <neoclust> 2:17.12.1-2.mga7
+ Revision: 1195328
- Do not require kde-l10n, it does not exist anymore
- New version 17.12.1

* Tue Jan 02 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1189247
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143136
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138722
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1130970
- New version 17.04.3

* Sun Jun 04 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1106416
- Install translations (mga#20946)

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090165
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Tue Dec 27 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1078386
- Only add okular once on the menu ( mga#19096 )

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076907
- New version 16.12.0

* Sun Dec 18 2016 daviddavid <daviddavid> 2:16.11.90-3.mga6
+ Revision: 1076037
- remove also qimageblitz on devel subpackage as it is a Qt4 dependency
  and it is no more used from okular

* Fri Dec 09 2016 daviddavid <daviddavid> 2:16.11.90-2.mga6
+ Revision: 1073859
- remove some Qt4 dependencies on devel subpackage

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073803
- New version 16.11.90

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2:16.08.3-2.mga6
+ Revision: 1070630
- rebuild for poppler

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067417
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061481
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050744
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047397
- New version 16.08.0

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2:16.04.3-2.mga6
+ Revision: 1046189
- test rebuild for poppler

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040148
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012638
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004426
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 995005
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991889
- New version 15.12.3
- New version 15.12.2
- New version 15.12.1
- New version 15.12.0

* Mon Nov 30 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 907328
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880931
- New version 15.08.1
- New version 15.08.0

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 868214
- New version 15.08.0

* Wed Jul 29 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 858992
- Update to KDE Applications 15.08 Beta
- disable optional BuildRequires LibKScreen

* Wed Jan 21 2015 lmenut <lmenut> 2:4.14.3-2.mga5
+ Revision: 811673
- add patch to revert show paper size names which involves excessive load
  and freezes (mga#14450, bko#334708, bko#342131)

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800676
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787774
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 749397
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734628
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 683173
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667562
- Update to KDE SC 4.14.0
  bump okularcore major to 5
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663074
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656752
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653937
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Tue Jul 15 2014 lmenut <lmenut> 2:4.13.80-2.mga5
+ Revision: 653131
- add missing conflicts

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 652048
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add buildrequires kdegraphics-mobipocket, libkexiv2 & kscreen

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636811
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625578
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615659
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609471
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606912
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603419
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600752
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590539
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580709
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555070
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551342
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539992
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490702
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488656
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476797
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465150
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458988
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455373
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447906
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix major
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435257
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428374
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407186
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401945
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394363
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 361831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339413
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334517
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326722
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Fix files list

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320279
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316164
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301935
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289724
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276668
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Add patch201 from fedora to fix issue when finding okular (& now visible due to the /usr move)

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269719
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-2.mga3
+ Revision: 265508
- do not use enable final
- new version 4.8.95

* Wed Jun 13 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 260182
- rebuild for new poppler

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257226
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232789
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228446
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220878
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198219
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190978
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-0.mga2
+ Revision: 185925
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182189
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176544
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161414
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151986
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140676
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-2.mga2
+ Revision: 125941
- Really convert all BR libpoppler-qt4-devel to pkgconfig(poppler-qt4)

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-1.mga2
+ Revision: 125940
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122513
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Thu Jun 30 2011 fwang <fwang> 2:4.6.90-2.mga2
+ Revision: 116238
- do not obsolete old packages

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115876
- Add an obsoletes on kdegraphics4-devel on the -devel package
- Add conflicts against kdegraphics4-devel for -devel package
- add more requires for -devel package
- imported package okular

